{{PAGESIZE:...}} returns empty string when top revision of page has no associated revision length
Closed, ResolvedPublic

Description

Author: happy.melon.wiki

Description:
Enter:
<{{PAGESIZE:Foo bar}}>
<{{PAGESIZE:Foo_bar}}>
<{{PAGESIZE:Talk:Fartown Ground, Huddersfield}}>

Expected:
<20>
<20>
<559>

Actual:
<>
<>
<>

This can occur either when the top revision is a 'null' revision, noting moves/protections/deletions/etc; or when the top revision is from before the time when rev_len started to be recorded (cf bug12188). The latter is transitory and can be resolved by writing and running the script requested in bug18881; the former needs to be addressed properly.


Version: 1.15.x
Severity: enhancement

bzimport added a project: MediaWiki-Parser.Via ConduitNov 21 2014, 10:36 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz18998.
bzimport created this task.Via LegacyMay 29 2009, 11:33 AM
Mr.Z-man added a comment.Via ConduitJun 10 2009, 8:59 PM

The issue with null revisions was fixed in r44885, which should apply to protection and moves.

bzimport added a comment.Via ConduitJun 3 2010, 11:16 PM

happy.melon.wiki wrote:

I assume that with bug12188, this bug is also fixed.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.